Title: 'Level Ranks'
Author: teebling
Download: https://barrens.chat/downloads/levelranks.zip
Support: https://www.barrens.chat/viewtopic.php?f=5&t=64

Description: This .zip includes 271 rank images that form a levelling system going from one to sixty. I designed them for use with my World of Warcraft: Classic forum hence the limit being sixty :)

Each level's progress bar has five states - empty, quarter full, half full, three-quarters full and totally full. Every ten levels the progress bar changes colour.

Levels one to nine only have two states - half-empty and totally full. This is to make levelling faster at the beginning.

Each image is named in the following manner. Let's use level 12 as an example:

12-0.png (empty)
12-1.png (quarter full)
12-2.png (half full)
12-3.png (three quarters full)
12.png (full)


To install to phpBB 3.2 there are two options:

Option 1 (standard install):

1. Log in to your ACP
2. Go to 'Users and groups' then 'Manage ranks'.
3. Individually upload each image from the 'Rank Images' folder and assign a post-limit for each individual image. I'd advise planning this out on paper before you begin or you'll get lost!


Option 2 (advanced install):

The way I use this system is through a CSS sprite in conjunction with two extensions:
	- 'Rank Post Styling' (https://www.phpbb.com/customise/db/extension/rank_post_styling/) by PayBas
	- AutoGroups extension (https://www.phpbb.com/customise/db/extension/auto_groups/) by phpBB

Paybas' ext allows you to assign special ranks a custom CSS class. Autogroups then allows you to assign members to groups based on their post count automatically, allowing you to use special ranks as if they were normal ranks. 

Each CSS class then points to a section of the sprite and displays that rank it were a single image. This is a good way of doing it performance-wise as it means the sprite only needs to be loaded and cached once by a visitor.

The necessary CSS and the sprite are both included in the folder 'CSS Sprite'.

